package com.qmth.themis.business.bean.admin;

import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.excel.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("报表-情况统计返回对象")
public class ExamViewCountListBean implements Serializable {

	private static final long serialVersionUID = -4399923396400174947L;
	
	@ApiModelProperty(name = "考试名称")
    @ExcelProperty(name = "批次名称（ID）", width = 30, index = 1)
    private String examName;

	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(name = "考试id")
    private Long examId;

	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "场次id")
    private Long examActivityId;

	@ApiModelProperty(name = "场次代码")
    @ExcelProperty(name = "场次代码", width = 30, index = 2)
	private String examActivityCode;

    @ApiModelProperty(name = "虚拟考场代码")
    private String roomCode;

    @ApiModelProperty(name = "虚拟考场名称")
    private String roomName;

    @ApiModelProperty(name = "考场名称（代码）")
    @ExcelProperty(name = "考场名称（代码）", width = 30, index = 3)
    private String roomNameCode;

    @ApiModelProperty(name = "应考")
    @ExcelProperty(name = "应考（科次）", width = 30, index = 4)
    private Long examTotal;
    
    @ApiModelProperty(name = "实考")
    @ExcelProperty(name = "实考（科次）", width = 30, index = 5)
    private Long actualExamTotal;
    
    @ApiModelProperty(name = "缺考")
    @ExcelProperty(name = "缺考（科次）", width = 30, index = 6)
    private Long deficiencyExamTotal;

    public String getRoomNameCode() {
        return roomNameCode;
    }

    public void setRoomNameCode(String roomNameCode) {
        this.roomNameCode = roomNameCode;
    }

    public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public String getExamActivityCode() {
		return examActivityCode;
	}

	public void setExamActivityCode(String examActivityCode) {
		this.examActivityCode = examActivityCode;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamActivityId() {
		return examActivityId;
	}

	public void setExamActivityId(Long examActivityId) {
		this.examActivityId = examActivityId;
	}

	public String getRoomCode() {
		return roomCode;
	}

	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	public String getRoomName() {
		return roomName;
	}

	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}

	public Long getExamTotal() {
		return examTotal;
	}

	public void setExamTotal(Long examTotal) {
		this.examTotal = examTotal;
	}

	public Long getActualExamTotal() {
		return actualExamTotal;
	}

	public void setActualExamTotal(Long actualExamTotal) {
		this.actualExamTotal = actualExamTotal;
	}

	public Long getDeficiencyExamTotal() {
		return deficiencyExamTotal;
	}

	public void setDeficiencyExamTotal(Long deficiencyExamTotal) {
		this.deficiencyExamTotal = deficiencyExamTotal;
	}

    
}
